## GwyHRuler GwyHRuler — Horizontal ruler, similar to GtkRuler |

## Functions

GtkWidget * | gwy_hruler_new ()

## Types and Values

struct | GwyHRuler
struct | GwyHRulerClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GwyRuler
                        ╰── GwyHRuler

## Implemented Interfaces

GwyHRuler implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

Please see GwyRuler for differences from GtkHRuler.

## Functions

### gwy_hruler_new ()

    GtkWidget *
    gwy_hruler_new (void);

Creates a new GwyHRuler.

#### Returns

The new ruler as a GtkWidget.

## Types and Values

### struct GwyHRuler

    struct GwyHRuler;

### struct GwyHRulerClass

    struct GwyHRulerClass {
        GwyRulerClass parent_class;

        void (*reserved1)(void);
    };

## See Also

GwyVRuler -- vertical ruler